# Generated by Django 3.0.2 on 2020-01-15 10:02

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('management', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('taskname', models.CharField(max_length=255, verbose_name='任务描述')),
                ('tasktype', models.CharField(blank=True, choices=[('1', '执行用例'), ('2', '用例同步'), ('3', '关联Jenkins')], max_length=32)),
                ('status', models.SmallIntegerField(default=0, verbose_name='任务状态')),
                ('issmoke', models.BooleanField(default=False)),
                ('testrailsuites', models.CharField(blank=True, max_length=8, null=True, verbose_name='TestRail测试集ID')),
                ('testrailrunid', models.CharField(blank=True, max_length=8, null=True, verbose_name='TestRail执行ID')),
                ('testsectionid', models.CharField(blank=True, max_length=8, null=True, verbose_name='TestRail用例节点ID')),
                ('jenkins_server_url', models.CharField(blank=True, max_length=100, null=True, verbose_name='JenkinsServer')),
                ('user_id', models.CharField(blank=True, max_length=32, null=True, verbose_name='JenkinsUserid')),
                ('api_token', models.CharField(blank=True, max_length=32, null=True, verbose_name='JenkinsApitoken')),
                ('build_name', models.CharField(blank=True, max_length=32, null=True, verbose_name='JenkinsBuildName')),
                ('caselist', models.CharField(max_length=10240, verbose_name='用例列表')),
                ('createtime', models.DateTimeField(auto_now_add=True)),
                ('createat', models.CharField(blank=True, max_length=32, null=True)),
                ('updatetime', models.DateTimeField(auto_now=True)),
                ('updateat', models.CharField(blank=True, max_length=32, null=True)),
                ('projectid', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='management.Project')),
            ],
        ),
        migrations.CreateModel(
            name='Taskhistory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tasktype', models.CharField(blank=True, max_length=32)),
                ('taskname', models.CharField(max_length=255, verbose_name='任务描述')),
                ('case_tag_all', models.CharField(blank=True, max_length=8, null=True)),
                ('case_tag_pass', models.CharField(blank=True, max_length=8, null=True)),
                ('case_tag_fail', models.CharField(blank=True, max_length=8, null=True)),
                ('case_tag_error', models.CharField(blank=True, max_length=8, null=True)),
                ('starttime', models.DateTimeField(blank=True)),
                ('exectime', models.CharField(blank=True, max_length=32, null=True)),
                ('reporturl', models.CharField(max_length=255, null=True, verbose_name='report Url')),
                ('build_name', models.CharField(blank=True, max_length=32, null=True)),
                ('build_number', models.CharField(blank=True, max_length=8, null=True)),
                ('taskid', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='testtask.Task')),
                ('userid', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Codelist',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('codename', models.CharField(max_length=32)),
                ('codedescr', models.CharField(max_length=255)),
                ('codevalue', models.CharField(max_length=255)),
                ('createtime', models.DateTimeField(auto_now_add=True)),
                ('createat', models.CharField(blank=True, max_length=32, null=True)),
                ('updatetime', models.DateTimeField(auto_now=True)),
                ('updateat', models.CharField(blank=True, max_length=32, null=True)),
                ('taskid', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='testtask.Task')),
            ],
        ),
    ]
